# Varbase Social Single Sign-On

Adds single sign-on using existing information from a social networking service. Such as **Facebook**, **Twitter**, **LinkedIn**, or **Google**. Built using [Social API](https://www.drupal.org/project/social_api).

## Varbase Social Single Sign-On Module

{% hint style="info" %}
Varbase social authentication features are bundled through the **Varbase Social Single Sign-On** module.\
GitHub: <https://github.com/Vardot/varbase_auth>\
Drupal.org: <https://www.drupal.org/project/varbase_auth>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Social Single Sign-On** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_auth
```

Brings in the following core and contributed modules to your site:

| Module                                                                           | Purpose                                                                                                                                      |
| -------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><strong>Block</strong></p><p><em>(in Drupal core)</em></p>                    | Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page. |
| [**Social Auth**](https://www.drupal.org/project/social_auth)                    | Allows user authentication with different services.                                                                                          |
| [**Social Auth Facebook**](https://www.drupal.org/project/social_auth_facebook/) | Social Auth integration for Facebook.                                                                                                        |
| [**Social Auth Twitter**](https://www.drupal.org/project/social_auth_twitter)    | Social Auth integration for Twitter.                                                                                                         |
| [**Social Auth LinkedIn**](https://www.drupal.org/project/social_auth_linkedin/) | Social Auth integration for LinkedIn.                                                                                                        |
| [**Social Auth Google**](https://www.drupal.org/project/social_auth_google/)     | Social Auth integration for Google.                                                                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/10.1.x/developers/understanding-varbase/optional-components/varbase-social-single-sign-on.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
